[libxml2] Don't instruct user to run make when autogen.sh failed



commit 173ea684dd355c68c3a9f521d108ff10c2fb3f5d
Author: ๆž—ๅšไป(Buo-ren Lin) <Buo Ren Lin gmail com>
Date:   Sat Aug 18 14:22:57 2018 +0800

    Don't instruct user to run make when autogen.sh failed
    
    Currently the autogen script will always tell user to run make even
    when the configure script failed, this patch changes the behavior to
    only show this message when the configure script terminates without
    error.

 autogen.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 8b47ea50..4e7858a5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -76,6 +76,11 @@ fi
 
 if test -z "$NOCONFIGURE"; then
     $srcdir/configure $EXTRA_ARGS "$@"
-    echo
-    echo "Now type 'make' to compile libxml2."
+    if test "$?" -ne 0; then
+        echo
+        echo "Configure script failed, check config.log for more info."
+    else
+        echo
+        echo "Now type 'make' to compile libxml2."
+    fi
 fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]